Loans
Create a new loan
Creates a new loan under an entity.
Body Parameters
allow_overpayment
booleanOptionalIndicates if a loan is able to be overpaid and have a principal_outstanding of less than $0. If false, payments that would result in a loan having a negative balance will be blocked.
auto_sell
booleanOptionalIndicates if seasoned principals/interests should be automatically sold to your platform. Default: the value in the loan program.
currency
stringRequiredThe three-letter currency code defined in ISO 4217, e.g. USD.
description
stringOptionalThe description of the loan in the Column dashboard.
entity_id
stringRequiredThe entity to create the loan under.
interest_config
objectOptionalInline interest configuration to create with the loan. Either interest_config_id or interest_config may be specified, but not both.
accrual_method
stringRequiredThe accrual method for interest calculation. Possible values: actual_360, actual_365, and actual_actual
description
stringOptionalA description for the interest configuration
history
array of objectsRequiredList of interest config snapshots defining rates and their effective dates. At least one snapshot is required.
effective_after_days
integerOptionalThe number of days after which this config snapshot becomes effective. Either effective_date or effective_after_days may be specified, but not both.
effective_date
stringOptionalThe date in Pacific Time Zone (inclusive) on which this interest config snapshot becomes effective. Either effective_date or effective_after_days may be specified, but not both.
effective_day_mode
stringOptionalThe method for rolling the effective date derived from effective_after_days to the next business day if it falls on a weekend or holiday. Possible values: business_day, next_business_day
fixed_rate
stringOptionalThe fixed interest rate for this snapshot (4.50% would be represented as 0.045).
pivot_percentage
stringOptionalThe percentage of the pivot rate to use for variable-rate interest calculation (e.g., 1.0 for 100% of the pivot rate).
pivot_relative
stringOptionalThe spread added to or subtracted from the pivot rate for variable-rate interest calculation (e.g., 0.02 for +2%).
interest_config_id
stringOptionalID of the interest configuration used to accrue interest receivable daily. If this field is not set, the default interest configuration of the loan program will be used. The same interest configuration can be shared across multiple loans. Either interest_config_id or interest_config may be specified, but not both.
is_business_seasoning_days
booleanOptionalIndicates if seasoning_days are business days or calendar days. Default: the value in the loan program.
is_revolving
booleanRequiredIndicates whether or not the loan is revolving. If true the loan can have multiple disbursements. Default: the value in the loan program.
loan_program_id
stringOptionalID of the loan program for this loan. If this field is not set, your platform's default loan program will be used.
maturity_date
stringOptionalThe maturity date of the loan. It is required if the loan is not revolving.
max_principal_balance
integerRequiredThe max principal balance of the loan in cents. This is akin to a credit limit. Disbursements will fail if the resulting principal will be above the max principal. e.g. $1.75 would be represented by 175.
retained_by_column
booleanOptionalIndicates if this loan should be retained by Column. Loans retained by Column are not eligible for your platform to purchase. Default: the value in the loan program.
seasoning_days
integerOptionalNumber of days principal receivables will be seasoned. Default: the value in the loan program.